TimeStampTokenInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.tsp

## Class TimeStampTokenInfo

- java.lang.Object
- - org.bouncycastle.tsp.TimeStampTokenInfo

-     public class TimeStampTokenInfo
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.tsp.Accuracy` | `getAccuracy()`
    `byte[]` | `getEncoded()`
    `java.util.Date` | `getGenTime()`
    `GenTimeAccuracy` | `getGenTimeAccuracy()`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getHashAlgorithm()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getMessageImprintAlgOID()`
    `byte[]` | `getMessageImprintDigest()`
    `java.math.BigInteger` | `getNonce()`
    `org.bouncycastle.asn1.ASN1ObjectIdentifier` | `getPolicy()`
    `java.math.BigInteger` | `getSerialNumber()`
    `org.bouncycastle.asn1.x509.GeneralName` | `getTsa()`
    `boolean` | `isOrdered()`
    `org.bouncycastle.asn1.tsp.TSTInfo` | `toASN1Structure()`
    `org.bouncycastle.asn1.tsp.TSTInfo` | `toTSTInfo()` Deprecated. use toASN1Structure

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isOrdered

          public boolean isOrdered()

    - #### getAccuracy

          public org.bouncycastle.asn1.tsp.Accuracy getAccuracy()

    - #### getGenTime

          public java.util.Date getGenTime()

    - #### getGenTimeAccuracy

          public GenTimeAccuracy getGenTimeAccuracy()

    - #### getPolicy

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getPolicy()

    - #### getSerialNumber

          public java.math.BigInteger getSerialNumber()

    - #### getTsa

          public org.bouncycastle.asn1.x509.GeneralName getTsa()

    - #### getNonce

          public java.math.BigInteger getNonce()

      Returns:
        the nonce value, null if there isn't one.

    - #### getHashAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getHashAlgorithm()

    - #### getMessageImprintAlgOID

          public org.bouncycastle.asn1.ASN1ObjectIdentifier getMessageImprintAlgOID()

    - #### getMessageImprintDigest

          public byte[] getMessageImprintDigest()

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toTSTInfo

          public org.bouncycastle.asn1.tsp.TSTInfo toTSTInfo()

      Deprecated. use toASN1Structure

    - #### toASN1Structure

          public org.bouncycastle.asn1.tsp.TSTInfo toASN1Structure()